kio Library: KDataTool Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDataTool Class Reference

A generic tool that processes data. More...

`#include <kdatatool.h>`

Inheritance diagram for KDataTool:

[legend]
Collaboration diagram for KDataTool:

[legend]
List of all members.

## Public Member Functions
| KDataTool (QObject *parent=0, const char *name=0)
void | setInstance (KInstance *instance)
KInstance * | instance () const
virtual bool | run (const QString &command, void *data, const QString &datatype, const QString &mimetype)=0
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A generic tool that processes data.

A data-tool is a "plugin" for an application, that acts (reads/modifies) on a portion of the data present in the document (e.g. a text document, a single word or paragraph, a KSpread cell, an image, etc.)

The application has some generic code for presenting the tools in a popupmenu

See also:
  KDataToolAction, and for activating a tool, passing it the data (and possibly getting modified data from it).

Definition at line 253 of file kdatatool.h.

## Constructor & Destructor Documentation

KDataTool::KDataTool | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

  | Constructor The data-tool is only created when a menu-item, that relates to it, is activated. Parameters:
  | parent | the parent of the QObject (or 0 for parent-less KDataTools)
  | name | the name of the QObject, can be 0
Definition at line 277 of file kdatatool.cpp.

## Member Function Documentation

KInstance * KDataTool::instance | ( |  | ) | const

| Returns the instance of the part that created this tool. Usually used if the tool wants to read its configuration in the app's config file. Returns: the instance of the part that created this tool. Definition at line 282 of file kdatatool.cpp.

virtual bool KDataTool::run | ( | const QString & | command,
|  | void * | data,
|  | const QString & | datatype,
|  | const QString & | mimetype
| ) | `[pure virtual]`

  | Interface for 'running' this tool. This is the method that the data-tool must implement. Parameters:
  | command | is the command that was selected (see KDataToolInfo::commands())
  | data | the data provided by the application, on which to run the tool. The application is responsible for setting that data before running the tool, and for getting it back and updating itself with it, after the tool ran.
  | datatype | defines the type of `data`.
  | mimetype | defines the mimetype of the data (for instance datatype may be QString, but the mimetype can be text/plain, text/html etc.)
Returns: true if successful, false otherwise

The documentation for this class was generated from the following files:

- kdatatool.h
- kdatatool.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:22 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003